> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finvera.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch News

> Returns curated news for a given symbol and related filters.



## OpenAPI

````yaml get /api/v1/news
openapi: 3.0.3
info:
  title: Finvera News API
  version: 1.0.0
  description: API for fetching curated news with securities data.
  contact: {}
  termsOfService: https://swagger.io/terms/
servers:
  - url: https://api.finvera.news/news
    description: Prod API Host
security: []
paths:
  /api/v1/news:
    get:
      summary: Fetch curated news
      description: Returns curated news for a given symbol and related filters.
      parameters:
        - in: query
          name: symbol
          required: true
          schema:
            type: string
          example: SLSN
        - in: query
          name: page
          required: false
          schema:
            type: integer
            default: 1
          example: 1
        - in: query
          name: page_size
          required: false
          schema:
            type: integer
            default: 10
          example: 10
        - in: query
          name: share_class_figi
          required: false
          schema:
            type: string
          example: BBG00Z49PKN1
        - in: query
          name: type
          required: false
          schema:
            type: string
            enum:
              - gainers
              - losers
          example: losers
        - in: query
          name: id
          required: false
          schema:
            type: integer
          example: 827
        - in: query
          name: securities
          required: false
          schema:
            type: boolean
          example: true
      responses:
        '200':
          description: Successful response with curated news data
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        associated_press_releases:
                          type: array
                          items:
                            type: integer
                        associated_ratings:
                          type: array
                          items:
                            type: string
                        associated_transcripts:
                          type: array
                          items:
                            type: string
                        catalyst:
                          type: string
                        catalyst_created:
                          type: boolean
                        created_at:
                          type: string
                          format: date-time
                        headline:
                          type: string
                        id:
                          type: integer
                        logo_exists:
                          type: boolean
                        logo_thumbnail_url:
                          type: string
                          format: uri
                        news_id:
                          type: string
                          format: uuid
                        on_all_tickers:
                          type: boolean
                        on_entities:
                          type: boolean
                        securities:
                          type: array
                          items:
                            type: object
                            properties:
                              figi:
                                type: string
                              name:
                                type: string
                              MIC:
                                type: string
                              exchcode:
                                type: string
                              ticker:
                                type: string
                              compositefigi:
                                type: string
                              securitytype:
                                type: string
                              marketsector:
                                type: string
                              shareclassfigi:
                                type: string
                        share_class_figi:
                          type: string
                        ticker:
                          type: string
                        type:
                          type: string
                          enum:
                            - gainers
                            - losers
                        updated_at:
                          type: string
                          format: date-time
                  message:
                    type: string
              example:
                data:
                  - associated_press_releases:
                      - 0
                      - 0
                    associated_ratings: []
                    associated_transcripts: []
                    catalyst: >-
                      Oncolytics Biotech shares are trading higher after the
                      company appointed Jared Kelly as CEO and announced
                      promising clinical data for pelareorep in cancer
                      treatments.
                    catalyst_created: true
                    created_at: '2025-06-11T22:50:22.325207Z'
                    headline: >-
                      Oncolytics Biotech Stock Rises Amidst New Leadership and
                      Promising Clinical Data
                    id: 3908
                    logo_exists: true
                    logo_thumbnail_url: >-
                      https://d31b1il8wjbsxw.cloudfront.net/svg_16_9_thumbnail_v2/BBG001SDGSF3.svg
                    news_id: 514a640a-d427-4fb2-baa4-8b947f8edf02
                    on_all_tickers: true
                    on_entities: true
                    securities:
                      - figi: BBG000DVS826
                        name: Oncolytics Biotech, Inc. Common Shares
                        MIC: ''
                        exchcode: XNAS
                        ticker: ONCY
                        compositefigi: BBG000DVS826
                        securitytype: CS
                        marketsector: stocks
                        shareclassfigi: BBG001SDGSF3
                      - figi: BBG000DVS826
                        name: ONCOLYTICS BIOTECH INC
                        MIC: ''
                        exchcode: US
                        ticker: ONCY
                        compositefigi: BBG000DVS826
                        securitytype: Common Stock
                        marketsector: Equity
                        shareclassfigi: BBG001SDGSF3
                    share_class_figi: BBG001SDGSF3
                    ticker: ONCY
                    type: gainers
                    updated_at: '2025-06-11T22:50:22.325215Z'
                message: news fetched successfully
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: apikey
      type: apiKey

````